package org.metricssampler.reader;

import java.util.Map;

/**
 * A reader that is able to read metrics from an input.
 */
public interface MetricsReader {
	void open() throws MetricReadException;

	Iterable<MetricName> readNames();

	void close();

	/**
	 * @return an unmodifiable map containing the variables from the input configuration overridden/extended by the dynamic properties
	 *         generated by this reader when it was created.
	 */
	Map<String, Object> getVariables();

	void reset();
}
